commit:     5e18e4807dd3ed7278500072fbe4c5e20e7f58d0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 15 14:12:16 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 15 14:15:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e18e480

dev-python/expects: EAPI 8, PEP517, py3.11

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/expects/expects-0.9.0-r1.ebuild | 33 ++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-python/expects/expects-0.9.0-r1.ebuild 
b/dev-python/expects/expects-0.9.0-r1.ebuild
new file mode 100644
index 000000000000..dbd903d624a0
--- /dev/null
+++ b/dev-python/expects/expects-0.9.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Expressive and extensible TDD/BDD assertion library for Python"
+HOMEPAGE="
+       https://github.com/jaimegildesagredo/expects/
+       https://pypi.org/project/expects/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-python/mamba[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs
+
+python_test() {
+       mamba || die "tests failed under ${EPYTHON}"
+}

Reply via email to